RegmagiK Help - Main Menu

Main Menu

  • File
  • Edit
  • View
  • Go
  • Bookmarks
  • Tools
  • Help


File Menu

The File menu offers the following commands:

Export | Export Registry Key to a file.
Save Hive | Save selected key as registry hive file.
Load Hive | Load hive into Registry.
Unload Hive | Unload hive from Registry.
Create Shortcut | Create desktop icon that opens selected key in RegmagiK.
Open | Opens an existing Registry Shortcut.
MRU | List of most recently used Registry Shortcuts.
Exit | Exit RegmagiK.


Export

Use this command to export content of a registry key to a .reg file. See also Save Hive command

Shortcuts

Toolbar:


Save Hive

Save selected Registry key and all of the subkeys and values to a binary file called hive. See also load hive command.

Security Note

You need security permissions to perform this operation. If you get access denied error message, try running RegmagiK as Administrator.

Shortcuts

Toolbar:


Load Hive

This command allows you to load a binary Registry file (called hive).

The hive is loaded into Registry as a subkey of LOCAL_MACHINE. For example, if the file name is mykey.hive you should see the new key in your Registry: LOCAL_MACHINE\mykey.hive.

While the hive is loaded into Registry any changes made to the corresponding Registry key, its subkeys and values are saved to the hive file until it is unloaded. See also unload hive command.

Note: you can't load the same hive file if it's already loaded into Registry, but you can unload and load it again.

Security Note

On Windows Vista and Windows 7 you need elevated security permissions to perform this operation. If you get access denied error message, try running RegmagiK as Administrator.

Shortcuts

Toolbar:


Unload Hive

This command allows you to unload one of the previously loaded hives. See also Load Hive command.

The hive can be loaded into Registry as a subkey of LOCAL_MACHINE or USERS.

Security Note

You need security permissions to perform this operation. If you get access denied error message, try running RegmagiK as Administrator.


Create Registry Shortcut

Create Shortcut

Use this command to create new Registry shortcut. Registry shortcut is a file and can be saved anywhere you can create files. For quick access to frequently used shortcuts consider placing them on Desktop.

Later you can double click the shortcut file to activate RegmagiK and select the Registry location where the shortcut points to.

Saved shortcuts are available from most recently used shortcuts list under File menu or via File - Open command.

You can open Registry shortcuts from their file locations in Windows Explorer.

Registry shortcuts can also be placed and opened from:

  • Start Menu
  • Quick Launch
  • Browser Favorites

You can delete shortcuts if you don't need them later. As with files, deleting the Registry shortcut does not delete the actual Registry key. If you need to delete a registry key too - open the shortcut first and delete the key in RegmagiK, then delete the shortcut in Windows Explorer.

Shortcuts

Drag and drop a key or value to Desktop or anywhere else you can save files to.

Keyboard: Ctrl+S


Open Registry Shortcut

Open

Use this command to open an existing registry shortcut. Several sample shortcuts are installed with RegmagiK.

You can create Registry shortcuts with the Create Shortcut command or by using drag and drop.

Another convenient way to open Registry shortcuts is double-click its icon on Desktop or in Windows Explorer.

Shortcuts

Keyboard: Ctrl+O


Most Recently Used Shortcuts

Opens recently saved Registry shortcuts. If the shortcut you are looking for is not on the MRU (most recently used) list – use menu File – Open or open the shortcut from Windows Explorer.


Exit

Close RegmagiK.

Shortcuts

Keyboard: Alt+F4

Mouse: click the close button [image] on the title bar


Edit menu

The Edit menu offers the following commands:

Name | Rename Registry key or value
Data | Edit selected value data in-place
Permissions | Manage security access permissions
New Key | Add sub-key under selected Registry key
New Value | Add new Registry value under selected key
Cut | Mark selected keys or values as cut and puts them to the clipboard
Copy | Copy selected keys or values to the clipboard
Paste | Paste data from the clipboard into the current key
Delete | Delete selected keys or values from Registry
Select All | Select all items of the current view
Invert Selection | Select all items of the current view excluding currently selected items


Edit Name

Edit Name command

Rename selected Registry key or value. This command activates in-place name editing. Enter new name and press Enter when done or Esc to cancel.

Shortcuts

Keyboard: F2


Edit Data

Edit Registry value data. This command activates in-place value data editing, similarly to editing value name. It is convenient for quick data modifications that does not involve changing value type.

Sometimes it is necessary to change the value type, for example change DWORD value 1 to a string "1". RegmagiK allows easy modification of value type without deleting and re-creating a value. To change value to a new type use Properties command [image] on Registry value to invoke Properties dialog.

Shortcuts

Keyboard: Shift+F2


Registry Permissions command

Permissions command

Manage Registry security permissions - select who is authorized to access your Registry key with full, read-only or special permissions.

Select the key in the left pane, then use the menu, toolbar or accelerator to open Security Editor dialog.

To grant read-only or full control permissions, select user account or group first, then:

- to read the key contents, but not save any changes made to the key or values, allow Read.

- to open, edit, and save, as well as take ownership of the selected key, allow Full Control.

To grant special permissions, click Advanced button.

Shortcuts

Keyboard: CTRL+M

Toolbar:


New Key

Use this command to create a new Registry key under selected key. This command is unavailable if there is no selected key or if a subkey cannot be created under selected key.

Shortcuts

Keyboard: Ctrl + Y

Toolbar:


New Value

Use this command to create a new Registry value under selected key. This command is unavailable if there is no selected key.

Shortcuts

Keyboard: Ctrl + U

Toolbar:


Copy

Copy and Copy Key Name

Copy selected key or value to the clipboard. After copy you can paste to text area or under RegmagiK key. When pasting to text area the full path to the key is copied, when pasting to RegmagiK key the value or key with all subkeys is copied.

If no items are selected this command is unavailable.

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Keyboard: Ctrl+C

Toolbar:


Cut

Mark currently selected keys or values as "cut" and put the data in the clipboard. If no items are selected this command is unavailable.

Use this command as a first step of Cut-and-Paste operation. Items marked "cut" will be moved during next paste operation.

Shortcuts

Keyboard: Ctrl+X

Toolbar:


Paste

Insert a copy from the clipboard under the selected key. If paste completes cut-and-paste operation, delete the original keys or values from the Registry.

This command is unavailable if there are no Registry items previously stored by cut or copy commands.

Shortcuts

Keyboard: Ctrl+V or Shift+Ins

Toolbar:


Delete

Delete Registry key or value. This action cannot be undone. A confirmation dialog is displayed. In case of a key all subkeys will be deleted.

Shortcuts

Keyboard: Del

Toolbar:


Invert Selection

Select items excluding those that are currently selected. This command is available in right pane and in search results pane.

Shortcuts

Keyboard: Ctrl + I


Select All

Select all items in current view. This command is available in right pane and in search results pane.

Shortcuts

Keyboard: Ctrl + A


View menu

The View menu offers the following commands:

Properties | View Properties of selected Registry key or value.
Address Bar | Shows or hides the address bar.
Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Refresh (F5) | Refresh view from Registry.


Properties

This command allows you to view properties of the selected item. See Key Properties of Value Properties for more information.

Shortcuts

Toolbar:

Keyboard: Alt+Enter


Address Bar

Use this command to display and hide the Address Bar . A check mark appears next to the menu item when the Address Bar is displayed.

See Address Bar for help on using the address bar.


Toolbar

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in RegmagiK. A check mark appears next to the menu item when the Toolbar is displayed.

See also About Toolbar.


Status Bar

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See also Status Bar.


Refresh

Reload data from Registry and update all views. Normally you do not need to use it since RegmagiK updates all views automatically as the Registry changes.

Shortcuts

Keyboard: F5


Go menu

The Go menu offers common navigation commands:

Pane navigation commands enable you to navigate between panes and address bar. There are 3 panes in RegmagiK: Left, Right and Bottom. Left Pane is a tree of all Registry keys, Right Pane is a list of all values under the key selected in the left pane, Bottom Pane is used to display search resuls, it may also contain some commands as well as other output.

To set input focus to a specific pane using keyboard press Alt+Left, Alt+Right, or Alt+Down. Alt+Up takes you to the Address Bar.

Alternatively you can navigate to next or previous pane in a loop by repeatedly pressing keyboard shortcuts, TAB or SHIFT+TAB.

Next Pane | Move focus to the next pane
Previous Pane | Move focus to the previous pane
Address Bar | Set focus to the address bar
Left Pane | Set focus to the left pane
Right Pane | Set focus to the right pane
Search Pane | Set focus to the search results pane

Key navigation enables you to navigate directly to a key given as a path string as well as navigate through previously visited registry keys. Alternatively you can use Toolbar buttons Back and Forward as well as keyboard accelerators: CTRL+BACKSPACE and SHIFT+CTRL+BACKSPACE.

Back | Go back to the previously selected key
Forward | Go to the next key in the list of previously selected keys
Go To Key | Go to a specific key given as a string
Go To REGEDIT | opens Windows Regedit on the same key that was selected in RegmagiK


Next Pane

Move the focus to the next pane. This command loops clockwise through the panes in order: left pane, right pane and bottom pane, address bar, etc.

If address bar is not visible it is excluded from this loop.

Shortcuts

Keyboard: Tab


Previous Pane

Move the focus to the previous pane. This command loops counter-clockwise through the panes in order: left pane, address bar, bottom pane, right pane, left pane, etc.

If address bar is not visible it is excluded from this loop.

Shortcuts

Keyboard: Shift + Tab


Edit Data

Edit Registry value data. This command activates in-place value data editing, similarly to editing value name.

Shortcuts

Keyboard: Shift+F2


Left Pane

Move the focus to the left pane.

Left pane contains Registry keys organized into tree structure. Each top-level tree item corresponds to one of the predefined Registry sections sometimes called hives.

You can use left pane for navigation to a key of interest. Subkeys can be copied and moved using drag and drop or cut and paste. Confirmation dialog is displayed for drag and drop operations to prevent accidental registry modifications.

You can create sub-keys of existing Registry keys if you have access rights to do so.

Shortcuts

Keyboard: Alt + Left


Right Pane

Move the focus to the right pane.

Right pane contains values found under the key selected in the left pane.

You can modify existing values as well as add new values here.

You can select one or more values and copy or move them to a different Registry key.

Shortcuts

Keyboard: Alt + Right


Search Pane

Move the focus to the search pane.

Search pane contains keys and values found during the last Registry search.

You can modify existing keys and values here.

You can select one or more values and copy or move them to a different Registry key.

Shortcuts

Keyboard: Alt + Down


Go Back

Go to the previously selected key

Shortcuts

Keyboard: Ctrl + Backspace

Toolbar:


Go Back

Go Forward

Go to the next key in the list of previously selected keys. This command is only available after you use Go Back command one or more times.

Shortcuts

Keyboard: Shift + Ctrl + Backspace

Toolbar:


Go To Key

This commands allows you to go directly to a Registry key given as a path.

Note: sometimes this command is more convenient than using the Address Bar. For example, if you have copied the destination path to a clipboard, Ctrl+G will not only open the Go To Key dialog, but also paste path from the clipboard. All you have to do is to press OK.

Many web sites, forums and knowledge bases contain detailed instructions about Registry including path to keys of interest. Copy this path to the clipboard and then use this command. It activates Go To Key dialog and automatically reads the path from the clipboard.

Shortcuts

Keyboard: Ctrl + G

Toolbar:


Go To Regedit

Use this command to open Regedit on the same key that was selected in RegmagiK. This can be used when you want to compare how the Registry data is presented in RegmagiK and Regedit.

If Regedit does not select the same key that was selected in RegmagiK make sure you have at least one Registry key added to Regedit Favorites.

Shortcuts

Toolbar:


Bookmarks menu

The Bookmarks menu offers the following commands:

Create Bookmark | Bookmark current Registry location
Organize Bookmarks | Delete, rename, move to sub-menus etc.
REGEDIT favorites | Shows REGEDIT favorites if you have them
Shortcuts

Keyboard: Alt+B


Create Bookmark

Creates a bookmark to the selected Registry key. Bookmark properties dialog is displayed. A new bookmark can be created either directly under Bookmarks menu or under a sub-menu. To create bookmark in a sub-menu click Create In button and select existing or create new sub menu.

Bookmarks are available later from the Bookmarks menu.

Shortcuts

Toolbar:

Keyboard: Ctrl + B


Organize Bookmarks

This command allows you to organize bookmarks: create new sub-menus, rename, delete, and move bookmarks and sub-menus.

To create a sub-menu add a new sub-key under the key that represents bookmarks menu. You can have sub-menus nested in sub-menus, but they are harder to use with the mouse.

To rename a bookmark change the value name.

To change the Registry key the bookmark points to change the value data.

Bookmarks are available later from the Bookmarks menu. Your changes are effective immediately, so you can test by activating Bookmarks menu.


Regedit Favorites

Go to Registry key bookmarked in RegmagiK or Regedit


Tools

Tools menu

The Tools menu offers the following commands:

Options | View/Edit your RegmagiK preferences
Find in Registry | Search Registry and find all matches
Cancell Search | Stop Search in progress
List Invalid Keys | Find invalid CLSIDs (ActiveX) so you can examine and delete them


RegmagiK Preferences

Options

Use this command to View/Edit RegmagiK your preferences.


Find

Use this command to activate Find in Registry dialog.

Shortcuts

Keyboard: Ctrl+F

Toolbar:


List Invalid CLSIDs

CLSIDs are commonly used by ActiveX controls and COM objects. They are listed in Registry under CLASSES_ROOT\CLSID key.

A valid CLSID key must "point" to a valid file on your hard drive. If the file is deleted the CLSID becomes invalid. This often happens when you manually delete some programs or when uninstall does not do complete clean up properly.

By examining the path you can usually tell if the CLSID is valid or not. You can then delete invalid CLSIDs.

Shortcuts

Toolbar:


Stop Search

Cancel search in progress. This command is only available while Registry search in progress (either search for matching strings or search for invalid CLSIDs).

Shortcuts

Toolbar:


Help menu

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you a list of topics on which you can get help.
RegmagiK Online | Offers you a quick link to RegmagiK web site.
Feedback | Offers you a quick way to contact me.
About | Displays the version number of this application.


Help Topics

Opens RegmagiK help.

Shortcuts

For command-specific help position the mouse cursor over a toolbar button or a menu command and press F1.


Help Mode

Activate help mode when click on toolbar or menu command opens help for this command. The mouse pointer turns into arrow with question mark to indicate that you are in help mode. Then you can click on any toolbar or menu item to get help for the corresponding command.

Use this command to get help on any menu or toolbar command.

Shortcuts:

Keyboard: Shift+F1

Toolbar:


Regmagik Online

Open your web browser and go to http://www.regmagik.com.


Feedback

This command allows you to e-mail me a question or suggestion.


About RegmagiK

Use this command to get to About RegmagiK dialog box. About RegmagiK shows application version and copyright and has some useful links, as well as licensing information.

Toolbar:


Key menu

The Key menu is displayed when you right-click a key or when the key is selected and you press context menu button (or Shift+F10).

Usually context menu command is sent by right mouse click or by pressing Context Menu button on the keyboard.

Export | Export Registry key to a file
Create Shortcut | Create desktop icon that opens Regmagik on this key
Hide Siblings | Hide siblings of the selected Registry key
Collapse | Hide sub-keys of selected Registry key
New Key | Add sub-key under selected Registry key
New Value | Add new Registry value under selected key
Copy Key Name | Copy Registry path to clipboard. Provided for compatibility with REGEDIT.


Hide Siblings

Unclutter Registry view by not displaying irrelevant subkeys in left view. This command does not change actual Registry keys, just the way they are displayed.

The key is displayed with an overlay image and a tooltip indicating that has more siblings.

The parent key becomes partially expanded and is displayed with an overlay image and a tooltip indicating that the key is partially expanded.


Collapse Key

Hide subkeys from the left view. Equivalent to pressing collapse button of the tree item.

Shortcuts

Keyboard: Left Arrow


View menu

Value menu

The value pop-up menu is displayed when the value is selected and you invoke the context menu.

Usually context menu is invoked by right mouse click or by pressing Context Menu button on the keyboard.

Name | Rename Registry key or value
Data | Edit selected value data in-place
Permissions | Manage security access permissions
New Key | Add sub-key under selected Registry key
New Value | Add new Registry value under selected key
Cut | Mark selected keys or values as cut and puts them to the clipboard
Copy | Copy selected keys or values to the clipboard
Paste | Paste data from the clipboard into the current key
Delete | Delete selected keys or values from Registry
Additional commands available for some values
Explore Folder | Switch to Windows Explorer and open selected folder
Go to GUID | Jump to GUID definition


Explore Path

Path may be a Registry key, file or folder. This command is available if value data contains path to a Registry key, file or folder. In this case a key or folder image is displayed next to value data.

Jump to a file or folder opens Windows Explorer and selects specified file or folder. Use this command to quickly switch to Windows Explorer and go to a given file or folder. This command is available if value data contains path to a file or folder. In this case a folder image is displayed next to value data:

Jump to a Registry key selects key in RegmagiK. Use this command to quickly navigate to a given key. In this case a special image is displayed next to value data. To return back to initial key use Go Back command.

Shortcuts

Mouse: click on a key or folder image


Explore Guid

Jump to GUID definition. Use this command to view the definition of Guid in Registry.

Available if Registry key name or value data contains a Guid this command selects corresponding Guid definition Registry key or prompts to search for it.

Registry value data contains an image to indicate that it contains a Guid:

Shortcuts

Mouse: click on image


RegmagiK Help - Window Elements

Window Elements

  • Window Title Bar
  • System Menu
  • Toolbar
  • Address Bar
  • Status Bar


System menu

The system menu (also called the window menu or control menu) is a popup menu in Microsoft Windows, accessible by left-clicking on the upper-left icon of most windows, or by pressing the Alt and Space keys. This menu provides the ability to perform some common tasks on the window.

For example, normally you would move a window by dragging the title bar of the window, but with the Move option in the system menu you get a different cursor and ability to move the window using the keyboard instead of the mouse.

System menu commands
  • Restore
  • Move
  • Size
  • Minimize
  • Maximize
  • Close
Shortcuts

Mouse: Click the small icon [image] on the left side of the title bar.

Keyboard: Alt + Space


Size

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a DIRECTION key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcuts

Mouse: Drag the size bars at the corners or edges of the window.


Move

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is disabled if you maximize the window.

Shortcuts

Mouse: Click on a title bar to move the window.

Keyboard: Alt + Space, M


Minimize

Use this command to reduce the RegmagiK window to an icon.

Shortcuts

Mouse:Click the minimize icon [image] on the title bar.

Keyboard: Alt + Space, N


Maximize

Use this command to enlarge the active window to fill the available space.

Shortcuts

Mouse:Click the maximize icon [image] on the title bar; or double-click the title bar.

Keyboard: Alt + Space, X


Restore

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.

Shortcuts

Mouse:Click the restore icon [image] on the title bar; or double-click the title bar.

Keyboard: Alt + Space


Close

Use this command to close the RegmagiK window.

Double-clicking a system menu box [image] on the left side of the title bar is the same as choosing the Close command.

Shortcuts

Keyboard: Alt+F4

Mouse:click the close button [image] on the title bar


Title Bar

The title bar is located along the top of a window. It contains the name of the application and path to selected Registry key.

To move the window, drag the title bar. To maximize or restore maximized window double-click the title bar.


Address Bar

The Address Bar is displayed across the top of the application window, below the toolbar. You can change the relative position of the address bar and toolbar by dragging the grip bar displayed on the left side of address bar.

To hide or display the Address Bar, choose Address Bar from the View menu (ALT, V, A).

Autocomplete feature provides list of existing subkeys and filters it out as you type more symbols of the path. To take advantage of autocomplete feature set the input focus to the address bar and begin typing.

For list of top-level keys begin starting with \\ (backslash) or with H if you are used to top-level names starting with HKEY_ prefix.

You can also use common abbreviations, like HKLM or HKCU. As soon as you type \\ (backslash) you will see the list of available subkeys.

Using the address bar instead of expanding the tree view gives you an option to have partially expanded tree view that is easier to see and navigate.

Use View Address Bar menu command to display and hide the Address Bar.


Status Bar

The status bar is displayed at the bottom of the RegmagiK window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you move the mouse over them.


Dialogs

  • Add Bookmark
  • Find in Registry
  • Go To Key
  • Key Properties
  • Value Properties
  • Options


About RegmagiK

About RegmagiK shows application version and copyright and has some useful links, as well as licensing information. In addition it shows the path of the RegmagiK executable. This is useful if you have multiple copies on the same PC.

Click on RegmagiK icon on About RegmagiK box takes you to Windows Explorer and selects RegmagiK executable for you.

Shortcuts

Toolbar:


Add Bookmark

Enter the name you’d like to see on a menu for this bookmark.

To group bookmarks into sub-menus select a sub-folder. For more sub-menus click Add Submenu button.

Shortcut: Ctrl + B


Find in Registry dialog

Search for

Specify the string you are looking for in the text box area.

Match case

Check this box if you only want exact match, distinguish between lower case and upper case letters.

Search under the following key

Limit search to only under the specified key.

Quick picks

A quick way to search specific registry hive or all Registry.

Look at

Search only key names or value names or value data or any combination.

Shortcuts

Toolbar:

Keyboard: Ctrl + F


Key Properties dialog

View Registry key properties: name, class name, last modification time.

Shortcuts

Keyboard: Alt+Enter

Toolbar:


Value Properties

Edit Registry value name, type, and data.

Shortcuts

Toolbar:


Go To Key

Enter the path to a key you’d like to explore in provided space and press OK. The path can contain single or double backslash. If the specified key does not exist, part of the path entered that corresponds to a valid Registry key will be selected.

Note: sometimes this command is more convenient than using the Address Bar. For example, if you have copied the destination path to a clipboard, Ctrl + G will not only open the Go To Key dialog, but also paste path from the clipboard. All you have to do is to press OK.

Toolbar:

Keyboard: Ctrl + G


Options

Numeric value format

Specify how you prefer seeing DWORD values. For example DWORD value 26 (decimal) can also be displayed as 0x0000001A (hexadecimal upper case) or 0x0000001a (hexadecimal lower case)

Go to last selected key

By default last key selection is ON.

Check
when you start RegmagiK next time the last selected key is selected.
Uncheck
when you start RegmagiK the same key is selected every time.
Save layout

By default last layout is saved. Layout means window position, size, pane size and columns width.

Check
start RegmagiK in layout you closed it.
Uncheck
keep the same layout every time.


RegmagiK Toolbar

Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many RegMagik commands.

To hide or display the toolbar use Toolbar command from the View menu.

Available Toolbar commands

Go back to previously selected Registry key.

Go forward to next item in the list of previously visited Registry keys.

Go to Registry key given as string path.

Bookmark current Registry key.

Create new Registry key under selected key

Create new Registry value under selected key

Delete selected Registry key(s) and/or value(s). This action cannot be undone. A confirmation dialog is displayed. In case of a key all subkeys will be deleted.

Remove selected data from the document and stores it on the clipboard.

Copy the selection to the clipboard.

Insert the contents of the clipboard at the insertion point.

Search Windows Registry

Find invalid keys in Windows Registry

Stop searching

View Properties of selected item

Export selected key to .reg file

Save selected Registry key as hive

Load previously saved hive into the Registry

Open Windows Regedit.exe

Edit Permissions of selected Registry key

View RegmagiK information

Get help on selected menu or toolbar command